%define name nip2
%define version 7.10.10
%define release 1mdk

Summary: Nip is an interface for vips
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Video
URL: http://www.vips.ecs.soton.ac.uk/index.php
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: flex bison gtk2-devel libxml2-devel libvips-devel fftw3-devel

%description
nip2 aims to be about halfway between Excel and Photoshop. You don't directly
edit images --- instead, like a spreadsheet, you build relationships between 
objects. When you make a change somewhere, nip2 will recalculate the objects 
affected by that change. Since it is demand-driven this update is usually 
(almost) instant, even for very, very large images.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}

%makeinstall

rm -fr $RPM_BUILD_ROOT/%{_datadir}/locale/malkovich
convert -resize 32x32 proj/src/nip.ico %buildroot%{_iconsdir}/%{name}.png
convert -resize 16x16 proj/src/nip.ico %buildroot%{_liconsdir}/%{name}.png
convert -resize 48x48 proj/src/nip.ico %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(nip2):command="%{_bindir}/%{name}" \
icon="%{name}.png" needs="X11" section="Multimedia/Graphics" \
title="Nip2" longtitle="The free image processing system" \
mimetypes="" accept_url="false" \
multiple_files="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus} 

%postun 
%{clean_menus} 


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%defattr(644,root,root,755)
%{_datadir}/%{name}
%doc %{_defaultdocdir}/%{name}
%{_mandir}/man?/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 7.10.10-1mdk
- Fix menu and BuildRequires
- From: Trem <trem@zarb.org> 
	- Initial build.

